Bug 1495484 - [DOCS] The API reference should list SCC in the openshift API instead of the kubernetes API
Summary: [DOCS] The API reference should list SCC in the openshift API instead of the ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.6.1
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Gaurav Nelson
QA Contact: Xiaoli Tian
Vikram Goyal
URL:
Whiteboard: 3.7-release-plan
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-26 07:31 UTC by Javier Ramirez
Modified: 2021-03-11 15:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-26 01:47:23 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Javier Ramirez 2017-09-26 07:31:09 UTC
Document URL: 
https://docs.openshift.com/container-platform/3.6/rest_api/kubernetes_v1.html#list-or-watch-objects-of-kind-securitycontextconstraints

Section Number and Name: 

Describe the issue: 

Security context constraints are referenced in the kubernetes API
https://docs.openshift.com/container-platform/3.6/rest_api/kubernetes_v1.html#list-or-watch-objects-of-kind-securitycontextconstraints

Suggestions for improvement: 

They should be listed as an openshift object.

Additional information:

Comment 2 Jim Minter 2017-10-20 15:44:18 UTC
SCCs are OpenShift objects but for some historical reason they are accessed via /api, not /oapi.  They can also be accessed via /apis/security.openshift.io, which is more reasonable.

It should be the case that object access via API groups will be documented correctly in 3.7, assuming that the new origin autogenerated docs will be branched.

I don't think the object location in the API docs should be changed, because in this case the docs are an accurate reflection of the API (even if it's not ideal!).

Adding a documentation note (i.e. updating https://github.com/openshift/origin/blob/master/pkg/security/apis/security/types.go#L17-L18) wouldn't hurt.  Ping me if you need help doing this.

Comment 3 Gaurav Nelson 2017-10-26 01:47:23 UTC
Thanks Jim for the explanation. Looks like this one is not a docs bug then. Closing it.


Note You need to log in before you can comment on or make changes to this bug.